<script>
import AnimatedStats from './animated-stats.vue';

export default {
  components: {
    AnimatedStats,
  },
  props: {
    customer: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {
      isActive: true,
    };
  },
};
</script>

<template>
  <div
    v-show="isActive"
    role="tabpanel"
    :aria-labelledby="customer.label + '-tab'"
    class="tab-content"
  >
    <div class="customer-info">
      <SlpTypography class="name" tag="h3" variant="heading5"
        >{{ customer.name }} + GitLab</SlpTypography
      >
      <SlpTypography class="headline" tag="h1" variant="heading2">{{
        customer.headline
      }}</SlpTypography>
      <SlpButton
        :data-ga-name="customer.button_text"
        data-ga-location="body"
        class="btn"
        variant="primary"
        :href="customer.button_url"
        >{{ customer.button_text }}</SlpButton
      >
    </div>
    <AnimatedStats :stats="customer.stats" />
    <SlpLink :href="customer.button_url" :arrow="true" class="mobile-link">{{
      customer.button_text
    }}</SlpLink>
  </div>
</template>

<style lang="scss" scoped>
.tab-content {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;

  & > div {
    max-width: 45%;
  }

  .name {
    margin-bottom: $spacing-32;
  }

  .headline {
    margin-bottom: $spacing-24;
  }

  .mobile-link {
    display: none;
  }

  .stats {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
  }

  .stat {
    padding: $spacing-24 0;
    border-bottom: 1px solid $color-surface-200;

    &:first-of-type {
      border-top: 1px solid $color-surface-200;
    }

    p {
      display: flex;
      flex-direction: row;
      align-items: center;
    }

    .figure-number {
      color: $color-secondary-300;
      font-size: $text-heading-2;
      margin-right: $spacing-16;
      text-align: left;
      min-width: 30%;
    }
  }
}

@media (max-width: 768px) {
  .tab-content {
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-bottom: $spacing-32;

    & > div {
      width: inherit;
      max-width: 100%;
    }

    .btn {
      display: none;
    }

    .mobile-link {
      display: block;
      text-align: center;
      margin-top: $spacing-16;
      width: 100%;
      font-weight: $font-weight-bold;
    }

    .stats {
      width: 100%;
    }

    .stat {
      padding: $spacing-8 0;

      .figure-number {
        font-size: $text-heading-2-mobile;
      }

      .figure-text {
        font-size: $text-body-3;
        text-align: left;
      }
    }
  }
}
</style>
